<div id="swapAmount-modal" class="modal" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-content">
    <div class="modal-header">
      <h2>{{SWAPAMOUNT:TITLE}}</h2>
      <div class="BtnCancelCloseAll" data-dismiss="modal" aria-hidden="true"></div>
    </div>

    <div class="modal-body">
      <div class="modal-content-main">
        <form class="pure-form pure-form-stacked">

          <div id="swapAmount-progress"></div>

          <div id="swapAmount-fuelContainer">
            <p style="text-align:center;">{{SWAPAMOUNT:MESSAGE_SELECT_FUEL_A}}<span id="swapAmount-fuelForSymbol">...</span>{{SWAPAMOUNT:MESSAGE_SELECT_FUEL_B}}</p>
            <input id="swapAmount-nrOfFuels" type="text" inputmode="decimal" pattern="^[0-9]*$" placeholder="3" min="0" class="inline modal-swapassets-field-amount" autocomplete="off" spellcheck="false">
            <div class="swapAmount-field-elements">
              <div id="swapAmount-plus-button" class="pure-button" aria-hidden="true">+</div>
              <div id="swapAmount-min-button" class="pure-button" aria-hidden="true">-</div>
            </div>
          </div>
          <p style="text-align:center;">{{SWAPAMOUNT:MESSAGE_ENTER_AMOUNT_A}}<span id="swapAmount-action">...</span>{{SWAPAMOUNT:MESSAGE_ENTER_AMOUNT_B}}</p>

          <div id="swapAmount-label-from-balance"><span>{{SWAPAMOUNT:LABEL_FROM}}</span><div>{{SWAPAMOUNT:LABEL_SUFFICIENCY}} <span id="swapAmount-balance-value">...</span> <span id="swapAmount-balance-symbol"></span></div></div>

          <input id="swapAmount-fromAmount" type="text" inputmode="decimal" pattern="^[0-9]*[.,]?[0-9]*$" placeholder="0.0" min="0" class="inline modal-swapassets-field-amount" autocomplete="off" spellcheck="false">
          <div class="swapAmount-field-elements">
            <div id="swapAmount-fromSymbol">...</div>
            <div id="swapAmount-max-button" class="pure-button" aria-hidden="true" disabled="true">{{SWAPAMOUNT:MAX}}</div>
          </div>

          <div id="swapAmount-message"></div>

          <div id="swapAmount-downArrow">&#8595; 1:<span id="swapAmount-conversion">...</span></div>

          <label>{{SWAPAMOUNT:LABEL_FEES}}</label>

          <div id="swapAmount-fees">
            <table>
              <tr>
                <td>- <span id="swapAmount-allocatorFee">...</span></td>
                <td>{{SWAPAMOUNT:FEES_ALLOCATOR}}<div>(<span id="swapAmount-allocatorFeePercentage">...</span> %)</div></td>
              </tr>
              <tr id="swapAmount-lastFixedFeeRow">
                <td>- <span id="swapAmount-networkFee">...</span></td>
                <td>{{SWAPAMOUNT:FEES_NETWORK}}<span id="swapAmount-networkFeeSymbol">...</span></div></td>
              </tr>
            </table>
          </div>

          <div id="swapAmount-label-to">{{SWAPAMOUNT:LABEL_TO}}</div>

          <input id="swapAmount-toAmount" type="text" inputmode="decimal" pattern="^[0-9]*[.,]?[0-9]*$" placeholder="0.0" min="0" class="inline modal-swapassets-field-amount" autocomplete="off" spellcheck="false">
          <div class="swapAmount-field-elements">
            <div id="swapAmount-toSymbol">...</div>
          </div>

        </form>
        <div id="swapAmount-spinner"><div class="spinner-loader">...</div><div id="swapAsset-spinner-message">{{SWAPAMOUNT:CALCULATING}}</div></div>
      </div>
      <div class="modal-content-space"></div>
      <div class="modal-content-buttons">
        <div id="swapAmount-back" class="pure-button pure-button-large pure-button-fw" aria-hidden="true">{{SWAPAMOUNT:BUTTON_BACK}}</div>
        <div id="swapAmount-next" class="pure-button pure-button-main pure-button-large pure-button-fw" aria-hidden="true" disabled="true">{{SWAPAMOUNT:BUTTON_NEXT}}</div>
      </div>
    </div>

  </div>
</div>
